# services/typhon/service.yaml
apiVersion: v1
kind: Service
metadata:
  name: typhon
  namespace: climate
  annotations:
    prometheus.io/scrape: "true"
    prometheus.io/port: "9108"
    prometheus.io/path: "/metrics"
spec:
  type: ClusterIP
  selector:
    app: typhon
  ports:
    - name: metrics
      port: 9108
      targetPort: metrics
    - name: control
      port: 9110
      targetPort: control
